# Uses of Interface
org.opensaml.saml.saml1.core.Query

Packages that use Query
Package
Description
org.opensaml.saml.saml1.core
Interfaces for SAML 1.0 and 1.1 types and elements.
org.opensaml.saml.saml1.core.impl
Implementations of SAML 1.x core specification types and elements.

## Uses of Query in org.opensaml.saml.saml1.core

Subinterfaces of Query in org.opensaml.saml.saml1.core
Modifier and Type
Interface
Description
`interface`
`AttributeQuery`
Description of the behaviour of the `AttributeQuery` element.
`interface`
`AuthenticationQuery`
Description of the behaviour of the `AuthenticationQuery` element.
`interface`
`AuthorizationDecisionQuery`
Description of the behaviour of the `AuthorizationDecisionQuery` element.
`interface`
`SubjectQuery`
This interface is for the SAML1 `SubjectQuery` extention point.
Methods in org.opensaml.saml.saml1.core that return Query
Modifier and Type
Method
Description
`Query`
Request.`getQuery()`
Get the request Query, SubjectQuery, AuthenticationQuery, AttributeQuery, or AuthorizationDecisionQuery.
Methods in org.opensaml.saml.saml1.core with parameters of type Query
Modifier and Type
Method
Description
`void`
Request.`setQuery(Query query)`
Set the request query (Query, SubjectQuery, AuthenticationQuery, AttributeQuery, AuthorizationDecisioonQuery).

## Uses of Query in org.opensaml.saml.saml1.core.impl

Classes in org.opensaml.saml.saml1.core.impl that implement Query
Modifier and Type
Class
Description
`class`
`AttributeQueryImpl`
Concrete implementation of the `AttributeQuery` interface.
`class`
`AuthenticationQueryImpl`
Concrete implementation of the `AuthenticationQuery` interface.
`class`
`AuthorizationDecisionQueryImpl`
Concrete implementation of the `AuthorizationDecisionQuery` interface.
`class`
`SubjectQueryImpl`
Abstract implementation of `SubjectQuery` type.
Fields in org.opensaml.saml.saml1.core.impl declared as Query
Modifier and Type
Field
Description
`private Query`
RequestImpl.`query`
Saves the query (one of Query, SubjectQuery, AuthenticationQuery, AttributeQuery, AuthorizationDecisionQuery.
Methods in org.opensaml.saml.saml1.core.impl that return Query
Modifier and Type
Method
Description
`Query`
RequestImpl.`getQuery()`
Get the request Query, SubjectQuery, AuthenticationQuery, AttributeQuery, or AuthorizationDecisionQuery.
Methods in org.opensaml.saml.saml1.core.impl with parameters of type Query
Modifier and Type
Method
Description
`void`
RequestImpl.`setQuery(Query q)`
Set the request query (Query, SubjectQuery, AuthenticationQuery, AttributeQuery, AuthorizationDecisioonQuery).